/* Resize poster profile block */
function adjustPosterProfile(postbody) {
	var profile = postbody.parent().prev();
	profile.css('min-height', Math.floor(postbody.height()) + 'px');
};

(function($) {
	'use strict';

	$(document).ready(function() {

		$('.postprofile + .postbody > div:only-child').each(function() {
			adjustPosterProfile($(this));
		});

		/* Scroll Animation */
		$('a.link_scroll').on('click', function(evt) {
			evt.preventDefault();
			var target = $(this).attr('href');
			$('html, body').stop().animate({
				scrollTop: $(target).offset().top
			}, 1000);
		});

		/* Popup Login */
		var $button = $('#nav-top a[href$="login"]'),
			ql_wr = '#quick-login-wrapper',
			ql_ct = '#quick-login-content';
		$button.click(function(e) {
			e.preventDefault();
			$(ql_wr + ', ' + ql_ct).fadeIn(300);
		});
		$(ql_wr + ', #quick-login-content .alert_close').click(function() {
			$(ql_wr + ', ' + ql_ct).fadeOut(300);
		});

		/* Open links in new windows */
		$('a[href^="http://"], a[href^="https://"], a[href^="//"]').filter(function() {
			return this.hostname && this.hostname !== location.hostname;
		}).attr('target', '_blank');

		/* Clean style name */
		$('.style-name').each(function() {
			var $this = $(this);
			$this.text($this.text().replace(/_/g, ' '))
		});

	});

})(jQuery);
